Page 1 of 1

Upgrade from 2.3.0.2 to 3.0.2.0

Posted: Fri Jul 21, 2017 3:26 am
by ecks
Followed steps in the upgrade.txt, included in the download.
Get to step 4, below...
3. Browse to http://<yourstore.com>/install Replacing <yourstore.com> with your actual site (and subdirectory if applicable).
4. You should see the OpenCart Upgrade script.

..The page is completely blank.
The redirected url in the address bar shows: http://www.paracontactical.com/store/in ... de/upgrade.

Re: Upgrade from 2.3.0.2 to 3.0.2.0

Posted: Thu Jul 27, 2017 7:43 pm
by sliponera
I do not think it is possible to upgrade from 2.x
The upgrade note mentions that the upgrade is only from 1.5xxx

Re: Upgrade from 2.3.0.2 to 3.0.2.0

Posted: Sat Jul 29, 2017 3:44 am
by luke213
Not sure if you resolved this but while the upgrade doc says that I do believe it's just outdated information from the last release that hasn't been updated to the new version.

You should be able to upgrade or at least I was able to since I did the same upgrade yesterday(had lots of issues but that will vary site to site). I would double check that you copied the complete list of files from the zip file for the new release to the right location on the server and it should work for ya. Typically that seems to be where the issues are when I run into something like this on a new version of opencart where upgrading should be fairly easy.

Luke

Re: Upgrade from 2.3.0.2 to 3.0.2.0

Posted: Sat Aug 05, 2017 5:00 am
by linetrace
In my testing of upgrading from 2.3.0.2 to 3.0.2.0 I was getting PHP errors at the upgrade screen as well. I cleared out everything in 'system/storage/modification' except for the index.html file and that resolved the errors at that stage. Naturally, have a good backup of your files & database before attempting that.

Note: While that will get you past the upgrade errors, there are enough differences between 2.3.x and 3.0.x that it's best not to upgrade an existing copy. Instead, install a clean copy of 3.0.x, run the upgrade from there, reconfigure, and reinstall themes, extensions, modifications, etc. (of course, few have been updated to 3.0.x at the time of this writing).